
Foreman - Feature #3221

GET /api/hostgroups should return ptable_id and other ids

10/08/2013 05:39 PM - Kal Aeolian

Status: Closed   

Priority: Normal   

Assignee: Stephan Dollberg   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently a get to /api/hostgroups doesn't return all info you can assign to a hostgroup.

It doesn't provide a way to see the following:

- ptable_id

 - puppet_proxy_id

 - puppet_ca_proxy_id

 - medium_id

 - architecture_id

 Please add these parameters into the output of this API endpoint.

Associated revisions

Revision 782a4550 - 03/07/2014 11:51 AM - Stephan Dollberg

fixes #3221 - add missing attributes to hostgroup show response

History

#1 - 10/08/2013 05:41 PM - Dominic Cleal

- Subject changed from GET /api/hostgroups should return ptable_id and  to GET /api/hostgroups should return ptable_id and other ids

#2 - 03/06/2014 02:44 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Stephan Dollberg

- Target version set to 1.9.0

https://github.com/theforeman/foreman/pull/1276

#3 - 03/07/2014 12:00 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#4 - 03/07/2014 02:31 PM - Stephan Dollberg

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 782a45503264ab4dd426e10592604ddee71ddd76.
